Place a bet
curl --request POST \
--url https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"playerId": "abc123",
"seatIndex": 0,
"handIndex": 1,
"betAmount": 25
}
'import requests
url = "https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet"
payload = {
"playerId": "abc123",
"seatIndex": 0,
"handIndex": 1,
"betAmount": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({playerId: 'abc123', seatIndex: 0, handIndex: 1, betAmount: 25})
};
fetch('https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'playerId' => 'abc123',
'seatIndex' => 0,
'handIndex' => 1,
'betAmount' => 25
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet"
payload := strings.NewReader("{\n \"playerId\": \"abc123\",\n \"seatIndex\": 0,\n \"handIndex\": 1,\n \"betAmount\": 25\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"playerId\": \"abc123\",\n \"seatIndex\": 0,\n \"handIndex\": 1,\n \"betAmount\": 25\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"playerId\": \"abc123\",\n \"seatIndex\": 0,\n \"handIndex\": 1,\n \"betAmount\": 25\n}"
response = http.request(request)
puts response.read_body{
"acknowledgement": "ACK",
"message": "Bet placed successfully.",
"updatedSeatBalance": 475
}
Tables
Place a bet
Places a bet on a specific hand at the current betting stage.
Bets are only accepted when the game is in an active betting stage (Hole, Flop, or Turn). The odds recorded at the time of the bet are stored alongside it for payout calculation.
Equivalent to ws_place_bet in the legacy C# server.
POST
/
api
/
tables
/
{tableId}
/
bet
Place a bet
curl --request POST \
--url https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"playerId": "abc123",
"seatIndex": 0,
"handIndex": 1,
"betAmount": 25
}
'import requests
url = "https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet"
payload = {
"playerId": "abc123",
"seatIndex": 0,
"handIndex": 1,
"betAmount": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({playerId: 'abc123', seatIndex: 0, handIndex: 1, betAmount: 25})
};
fetch('https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'playerId' => 'abc123',
'seatIndex' => 0,
'handIndex' => 1,
'betAmount' => 25
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet"
payload := strings.NewReader("{\n \"playerId\": \"abc123\",\n \"seatIndex\": 0,\n \"handIndex\": 1,\n \"betAmount\": 25\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"playerId\": \"abc123\",\n \"seatIndex\": 0,\n \"handIndex\": 1,\n \"betAmount\": 25\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://hedgeem-server.qeetoto.com/api/tables/{tableId}/bet")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"playerId\": \"abc123\",\n \"seatIndex\": 0,\n \"handIndex\": 1,\n \"betAmount\": 25\n}"
response = http.request(request)
puts response.read_body{
"acknowledgement": "ACK",
"message": "Bet placed successfully.",
"updatedSeatBalance": 475
}
Body
application/json